Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I can't install the nvidia driver in Ubuntu 12.10. The following error appears after I issue the command sudo apt-get install nvidia-current nvidia-settings after adding the nvidia ppa:

Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

Is there any solution?

share|improve this question
add comment

4 Answers

Why would you need to, just open up the software sources and click on the additional drivers tab and install it from there. If you have any issues with the driver then you can easily revert back to the noveau drivers.

share|improve this answer
    
Yes, I know that but my device is not listed in additional drivers tab. –  beyondrakesh Oct 20 '12 at 16:37
add comment

The best (and safest) way of actually getting the 304.60 driver at this point is downloading it directly from NVIDIA and manually installing it.

  1. Download the driver; the 64 bit driver is obtained here, or if the 32 bit driver is needed, it is here.

  2. Drop into a console: Ctrl-Alt-F1 (In order to get back to the GUI, you can type Ctrl-Alt-F7)

  3. Login as root (username, hit enter, password).

  4. Terminate the current X session: sudo service lightdm stop.

  5. In order to make sure no conflicts arise, it is safest to remove the currently installed NVIDIA driver before installing the new one: sudo apt-get purge nvidia-current nvidia-settings.

  6. Now enter the directory where you downloaded the file, e.g. by typing cd ~/Downloads.

  7. To actually install the driver, type sudo sh ./NVIDIA-Linux-x86_64-304.60.run, replacing the name of the driver if needed.

  8. Now just reboot (sudo reboot) to see if the new driver is working!

share|improve this answer
add comment

You need to setup nvidia-current-dev because nvidia kernek modile is not stripped. So it's needed some debug nvidia libraries.

share|improve this answer
add comment

You have to install the package linux-headers-3.5.0-17-generic first, then run the command to install the driver. It worked for me.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.